GET a response from the search API endpoint

API to fetch search results for given query params. This should match results retrieved on the Full Search page when searching using the Search UI.

📘

Incorrect code generation

The code generator to the right creates an incorrect URL for the filters parameter, due to a bug with the Developer Portal provider that's outside of Alation's control. Until this bug is fixed, you will have to manually correct any generated URL that uses the filters parameter so that the value is valid JSON.

As an example, the code generator might provide this incorrect URL:

https://{alation_domain}/integration/v1/search/?filters=otypes=table

The correct URL would be:

https://{alation_domain}/integration/v1/search/?filters={"otypes":["table"]}
Query Params
string

Query String to search for

integer
0 to 10000
Defaults to 20

Maximum number of results to return in request

integer
≥ 0
Defaults to 0

Index of first search result to return from full result set

filters
object

Filters object used to restrict search results. These are the permitted properties:

  • starred:

    type: boolean

    description: Restrict results to objects marked "Starred" by the requesting user
  • watching:

    type: boolean

    description: Restrict results to objects marked "Watching" by the requesting user
  • recent:

    type: boolean

    description: Restrict results to objects marked "Recent", indicating whether the object was recently visited by the requesting user
  • flags:

    type: array

    description: Restrict results to objects with specified flags present on the result object.
    • items:

      type: string

      description: Permitted flags are:
      • 'Deprecation'
      • 'Endorsement'
      • 'Warning'
  • otypes:

    type: array

    description: Restrict results to objects with specified otypes.
    • items:

      type: string

      description:
      Below are the permitted otypes as of 05/17/2024. Please consult Otypes API endpoint for current permitted otypes based on your Alation configuration:
      • api_resource
      • api_resource_field
      • api_resource_folder
      • article
      • bi_field
      • catalog_set
      • column
      • dataflow
      • datasource
      • doc_schema
      • docstore_collection
      • docstore_folder
      • domain
      • execution_result
      • file
      • filesystem
      • function
      • glossary
      • glossary_term
      • glossary_v3
      • group
      • query_or_statement
      • report_collection
      • report_datasource
      • report_object
      • report_source
      • schema
      • table
      • tag
      • thread
      • user
      • value
  • domain_ids:

    type: array

    description: Restrict results to objects within the specified domain(s).
    • items:

      type: integer
Responses

Language
Credentials
Header
URL
Response
Choose an example:
application/json